faustbrian/laravel-questionable

Questionable Polymorphic Eloquent Models for Laravel 5

2.1.0 2018-11-10 06:41 UTC

README

Build Status PHP from Packagist Latest Version License

Installation

Require this package, with Composer, in the root directory of your project.

$ composer require faustbrian/laravel-questionable

To get started, you'll need to publish the vendor assets and migrate:

php artisan vendor:publish --provider="BrianFaust\Questionable\QuestionableServiceProvider" && php artisan migrate

Usage

Setup a Model

<?php

namespace App;

use BrianFaust\Questionable\HasQuestions;
use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    use HasQuestions;
}

Ask a question

$post->createQuestion([
    'title' => 'Some title',
    'body' => 'Some body',
], $user);

Update a question

$post->updateQuestion(1, [
    'title' => 'new title',
    'body' => 'new body',
]);

Delete a question

$post->deleteQuestion(1);

Answer to a question

$question->createAnswer([
    'title' => 'Some title',
    'body' => 'Some body',
], $user);

Update an answer

$question->updateAnswer(1, [
    'title' => 'new title',
    'body' => 'new body',
]);

Delete an answer

$question->deleteAnswer(1);

Mark an answer as solution

$answer->markAsSolution();

Change log

Please see CHANGELOG for more information what has changed recently.

Contributing

Please see CONTRIBUTING and CONDUCT for details.

Testing

$ phpunit

Security

If you discover a security vulnerability within this package, please send an e-mail to hello@brianfaust.me. All security vulnerabilities will be promptly addressed.

Credits

License

MIT © Brian Faust